The readimagefile purpose

- « Gmagick::readimageblob

- Gmagick::reducenoiseimage »

- PHP Manual
- Gmagick
- The readimagefile purpose

# Gmagick::readimagefile

(PECL gmagick >= Unknown)

Gmagick::readimagefile — The readimagefile purpose

### Description

public Gmagick::readimagefile(resource `$fp`, string `$filename` = ?): Gmagick

Reads an image or image sequence from an open file descriptor.

### Parameters

`fp`

  The file descriptor.

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.